<?php

declare(strict_types=1);

namespace App\Domain\Shared\Domain\Event;

readonly class ChapterScraped
{
    public function __construct(
        public string $jobId,
        public string $chapterId,
        public string $pagesDirectory,
        public int $pageCount,
    ) {
    }

    public function getJobId(): string
    {
        return $this->jobId;
    }
}
